Name:           perl-CGI-Application-Plugin-Authentication
Version:        0.20
Release:        11%{?dist}
Summary:        Authentication framework for CGI::Application
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/CGI-Application-Plugin-Authentication/
Source0:        http://www.cpan.org/authors/id/S/SI/SILASMONK/CGI-Application-Plugin-Authentication-%{version}.tar.gz
# Disable tests failing due to hash randomization, CPAN RT#85969
Patch0:         CGI-Application-Plugin-Authentication-0.20-links-in-html-tests-break-on-hash-reordering.patch

BuildArch:      noarch
BuildRequires:  perl(Apache::Htpasswd)
# BuildRequires:  perl(Authen::Simple)
BuildRequires:  perl(CGI::Application)
BuildRequires:  perl(CGI::Application::Plugin::ActionDispatch)
BuildRequires:  perl(CGI::Application::Plugin::AutoRunmode)
BuildRequires:  perl(CGI::Application::Plugin::Session)
BuildRequires:  perl(CGI::Cookie)
BuildRequires:  perl(Color::Calc)
BuildRequires:  perl(Crypt::PasswdMD5)
BuildRequires:  perl(DBD::SQLite)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Readonly)
BuildRequires:  perl(Task::Weaken)
BuildRequires:  perl(Test::ConsistentVersion)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::MockObject)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Regression)
BuildRequires:  perl(Test::Taint)
BuildRequires:  perl(Test::Warn)
BuildRequires:  perl(Test::Without::Module)
BuildRequires:  perl(UNIVERSAL::require)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
CGI::Application::Plugin::Authentication adds the ability to
authenticate users in your CGI::Application modules. It imports one
method called 'authen' into your CGI::Application module. Through the
'authen' method you can call all the methods of the
CGI::Application::Plugin::Authentication plugin.

%prep
%setup -q -n CGI-Application-Plugin-Authentication-%{version}
%patch0 -p1

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README example
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.20-11
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Aug 01 2013 Petr Pisar <ppisar@redhat.com> - 0.20-8
- Perl 5.18 rebuild
- Disable tests failing due to hash randomization (CPAN RT#85969)

* Sun Feb 17 2013 Emmanuel Seyman <emmanuel@seyman.fr> - 0.20-7
- Replace perl(Digest::SHA1) with perl(Digest::SHA) in BuildRequires

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 23 2012 Petr Pisar <ppisar@redhat.com> - 0.20-4
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 0.20-2
- Perl mass rebuild

* Fri Jul 08 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.20-1
- Update to 0.20
- Add new BuildRequires
- Clean up spec file

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 25 2010 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.19-1
- Update to 0.19

* Wed Jul 19 2010 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.18-1
- Update to 0.18
- Add new BuidlRequires
- Remove BR on Authen::Simple

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.17-3
- Mass rebuild with perl-5.12.0

* Sat Mar 20 2010 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.17-2
- Add example directory to doc stanza

* Mon Oct 05 2009 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 0.17-1
- Specfile autogenerated by cpanspec 1.78.
